Page MenuHomePhabricator

Unexpected $1 is shown in error messages of ActivateDeactivateForm on Special:Tags
Closed, ResolvedPublic

Description

https://www.mediawiki.org/w/index.php?title=Special:Tags/activate&tag=dollar1bug : "$1The tag "dollar1bug" does not exist."

See line 374 in includes/specials/SpecialTags.php

Details

Related Gerrit Patches:

Event Timeline

liangent raised the priority of this task from to Needs Triage.
liangent updated the task description. (Show Details)
liangent added a subscriber: liangent.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 30 2015, 12:48 PM
TTO added a subscriber: TTO.

Somehow a stray $1 crept into line 395 of includes/specials/SpecialTags.php...

This is a trivial bug to fix, so would be a good "beginner" task for GCI2015. I'm happy to mentor it.

Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptNov 17 2015, 10:53 AM

Change 257687 had a related patch set uploaded (by TTO):
Fix stray $1 in some Special:Tags error messages

https://gerrit.wikimedia.org/r/257687

TTO closed this task as Resolved.Dec 9 2015, 12:15 PM
TTO assigned this task to Georggi1999.
TTO removed a project: Patch-For-Review.
TTO set Security to None.

Change 257687 merged by jenkins-bot:
Fix stray $1 in some Special:Tags error messages

https://gerrit.wikimedia.org/r/257687